Bug 507944 - Slight chance for uninitialized self.kdumpEnabled variable
Slight chance for uninitialized self.kdumpEnabled variable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 15:40 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.0-33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 08:14:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2009-06-24 15:40:43 EDT
Description of problem:
kexec-tools-2.0.0-16.el6 has a slight exposure for an uninitialized variable.

Version-Release number of selected component (if applicable):
2.0.0-16.el6

How reproducible:
Always

Steps to Reproduce:
1. Install a system where crashkernel is on the cmdline but the kdump service itself is chkconfig'd off
2. Boot up the system into firstboot
  
Actual results:
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/firstboot/interface.py", line 274,
in createScreens
    module.createScreen()
  File "/usr/share/firstboot/modules/firstboot_kdump.py", line 158, in
createScreen
    self.initialState = self.kdumpEnabled
AttributeError: moduleClass instance has no attribute 'kdumpEnabled'  

Expected results:
Love, luck and lollipops!

Additional info:
While fairly contrived, I could see the case where this might happen somehow.  And given that the fix is simply initializing the self.kdumpEnabled variable in the createScreen function, makes more sense to just initialize instead of risk customers hitting the error.
Comment 1 RHEL Product and Program Management 2009-06-24 16:07:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Neil Horman 2009-06-25 14:12:19 EDT
fixed in -17.el6.  I actually found several variables that were previously global but needed to be made part of the class instance here, so I've fixed them all.  Thanks!
Comment 3 releng-rhel@redhat.com 2009-10-30 18:11:15 EDT
Fixed in 'kexec-tools-2.0.0-33.el6'. 'kexec-tools-2.0.0-36.el6' included in compose 'RHEL6.0-20091029.0'.
Moving to ON_QA.
Comment 4 Jay Turner 2009-11-05 07:48:10 EST
Fix confirmed with 2.0.0-37.el6 which is included in the 20091103.0 tree.
Comment 5 Jay Turner 2010-01-20 08:14:41 EST
kexec-tools-2.0.0-48.el6 included in RHEL6.0-20100116.0.

Note You need to log in before you can comment on or make changes to this bug.